<template>
  <div class="answer-card">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
export default Vue.extend({});
</script>

<style>
.answer-card {
  background: #304f4e;
  color: white;
  margin: 1em;
  padding: 1em;
  min-width: 5em;
  max-width: 50vw;
  border-radius: 22px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: 0.1s;
}

.answer-card:hover {
  background: #5b7b7a;
}
</style>
